> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Devices

> Returns a paginated list of devices for the current project



## OpenAPI

````yaml https://app.pnta.io/api-docs/v1/swagger.json get /api/v1/devices
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://app.pnta.io
    variables:
      defaultHost:
        default: app.pnta.io
security: []
paths:
  /api/v1/devices:
    get:
      tags:
        - Devices
      summary: List Devices
      description: Returns a paginated list of devices for the current project
      parameters:
        - name: limit
          in: query
          description: 'Number of items per page (default: 20, max: 100)'
          required: false
          schema:
            type: integer
        - name: page
          in: query
          description: 'Page number (default: 1)'
          required: false
          schema:
            type: integer
        - name: status
          in: query
          schema:
            type: string
            enum:
              - active
              - inactive
          description: Filter devices by status
          required: false
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        token:
                          type: string
                        platform:
                          type: string
                          enum:
                            - ios
                            - android
                        metadata:
                          type: object
                        identifiers:
                          type: object
                        id:
                          type: string
                        status:
                          type: string
                          enum:
                            - active
                            - inactive
                  pagination:
                    type: object
                    properties:
                      count:
                        type: integer
                      page:
                        type: integer
                      pages:
                        type: integer
                      from:
                        type: integer
                      to:
                        type: integer
                      last:
                        type: integer
        '401':
          description: unauthorized
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API key

````